<?php

// START APPOINTMENT SECTION 
$section = 'faq_section';
$wp_customize->add_section(
	$section,
	array(
		'title'   => __( 'Faq Section', 'Luzuk' ),
		'panel'   => 'luzuk_premium_home_panel',
	)
);
$wp_customize->add_setting(
    'faq_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'faq_section_disable',
        array(
            'settings'      => 'faq_section_disable',
            'section'       => $section,
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            )   
        )
    )
);

//backgroundManager($wp_customize, 'faq_sec', $section, $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

// Adding the Label

lzCustomLable($wp_customize, 'faq_sectionnpadding', 'faq_section', 'Section Padding');


$wp_customize->add_setting(
    'faqsec_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faqsec_toppadding',
    array(
        'settings'      => 'faqsec_toppadding',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'faqsec_bpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faqsec_bpadding',
    array(
        'settings'      => 'faqsec_bpadding',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'faq_lhsbx', 'faq_section', 'Section Heading And Sub Heading');


$wp_customize->add_setting(
    'secfaq_Heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'F.A.Q.' )
    )
);
$wp_customize->add_control(
    'secfaq_Heading',
    array(
        'settings'      => 'secfaq_Heading',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'secfaq_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Frequently Asked Questions' )
    )
);
$wp_customize->add_control(
    'secfaq_subtitle',
    array(
        'settings'      => 'secfaq_subtitle',
        'section'       => 'faq_section',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'Luzuk' )
    )
);



// Odd
lzCustomLable($wp_customize, 'faq_secOddclr', 'faq_section', 'Section Color Setting');

addColorPalatOption($wp_customize, 'faqsec_sectionbgclr2', 'faq_section', 'Section BG Color', '#fff');

addColorPalatOption($wp_customize, 'faqsec_sectionbgclr1', 'faq_section', 'Left Box BG Color', '#323232');

addColorPalatOption($wp_customize, 'faqsec_headingclr', 'faq_section', 'Heading Color', '#323232');

addColorPalatOption($wp_customize, 'faqsec_headingbxbgclr', 'faq_section', 'Heading Box BG Color', '#FFC400');

addColorPalatOption($wp_customize, 'faqsec_headingbxfldcrnbgclr', 'faq_section', 'Heading Box Folded Corner BG Color', '#D1D1D1');

addColorPalatOption($wp_customize, 'faqsec_subheadingclr', 'faq_section', 'Sub Heading Color', '#fff');

addColorPalatOption($wp_customize, 'faqsec_subheadingbrdclr', 'faq_section', 'Sub Heading Border Color', '#fff');

addColorPalatOption($wp_customize, 'faqsec_oddQutionclr', 'faq_section', 'Questions Color', '#000');

addColorPalatOption($wp_customize, 'faqsec_oddQutionbrdclr', 'faq_section', 'Questions Border Color', '#707070');

addColorPalatOption($wp_customize, 'faqsec_oddQutionicnclr', 'faq_section', 'Questions Icon Color', '#FFC400');

addColorPalatOption($wp_customize, 'faqsec_oddQutionicnbgclr', 'faq_section', 'Questions Icon BG Color', '#323232');

addColorPalatOption($wp_customize, 'faqsec_oddansclr', 'faq_section', 'Answer Color', '#7f7f7f');